set pager=1
insmod all_video
insmod vbe
insmod vga
insmod video_bochs
insmod video_cirrus
insmod font
insmod gfxterm
insmod gfxmenu
insmod gettext
insmod jpeg

#加载unicode字体显示中文
loadfont /grub2/fonts/unicode.pf2
set locale_dir=/grub2/bios/locale
set lang=zh_CN

#设置分辨率
set gfxmode=auto
terminal_output gfxterm
background_image /grub2/back.jpg

#倒计时
set timeout=300

#颜色
set color_normal=green/black
set color_highlight=white/cyan


menuentry "启动 MAXDOS" {
    echo "正在加载MAXDOS，请等待...."
    linux16  /grub2/bios/memdisk 
    search --file /grub2/bios/MAXDOS9.img --set=root
    initrd16 ($root)/grub2/MAXDOS9.img
}

menuentry "列出操作系统" {
    echo "正在列出操作系统，请等待...."
    linux16  /grub2/bios/memdisk  iso
    search --file /grub2/bios/LSTSYS.iso --set=root
    initrd16 ($root)/grub2/LSTSYS.iso
}


menuentry "启动主引导记录" {
    set root=(hd0)
    chainloader +1
}


menuentry "直接启动win7分区" {
    search --file /bootmgr --set=root
    chainloader +1
}

menuentry "直接启动xp分区" {
    search --file /ntldr --set=root
    chainloader +1
}


menuentry "启动 grldr 文件"{
    search --file /grldr --set=root
    insmod ntldr
    ntldr /grldr
}


menuentry "重启计算机"{
    reboot
}

menuentry "关机计算机"{
    halt
}